/* Copyright (C) 2011 Andre Noll <maan@tuebingen.mpg.de>, see file COPYING. */

/** \file crypt_backend.h Non-public crypto interface. */

/* This should only be included from files which provide crypto functions. */

/** AES block size in bytes. */
#define AES_CRT128_BLOCK_SIZE 16

size_t is_ssh_rsa_key(char *data, size_t size);
int check_ssh_key_header(const unsigned char *blob, int blen);
int check_private_key_file(const char *file);
